// version: 1.0.2.06132015_beta
package mgplugin {
	import laya.display.Sprite;
	import laya.display.Text;
	import laya.events.Event;
	import laya.net.HttpRequest;
	import laya.renders.Render;
	import laya.resource.HTMLCanvas;
	import laya.resource.Texture;
	import laya.ui.Box;
	import laya.ui.Image;
	import laya.ui.Panel;
	import laya.utils.Browser;

    public function enterReport(appid: String = '', userid: String = '', debug: Boolean = false): void {
        
        var launchOptions: Object;
        var wx: * = Browser.window.wx;
        try {
            launchOptions = wx.getLaunchOptionsSync();
        } catch(_) {}
        var plan: String = '';
        var query: Object = launchOptions ? (launchOptions.query || {}) : {};
        if (debug) {
            console.log('mgplugin: 获取启动参数query', query);
        }

        function getParam(search: String, key: String): String {
            var reg: RegExp = new RegExp('(^|&)' + key + '=([^&]*)(&|$)');
            var r: * = search.substr(1).match(reg);
            if (r !== null) return String(decodeURIComponent(r[2]));
            return '';
        };
        if (query.scene) {
            var scene: String = decodeURIComponent(query.scene);
            plan = getParam(scene, 'plan');
        } else {
            if (query.path) {
                plan = getParam(query.path, 'plan');
            }
        }

        if (plan != '') {
            if (debug) {
                console.log('mgplugin: 获取渠道标志plan，开始上报', plan);
            }
            var url: String = 'https://goplatform.minigame.qq.com/mpreport/reportsource';
            var data: Object = {
                appid: appid,
                userid: userid,
                plan: plan,
                from: ''
            };
            var xhr: HttpRequest = new HttpRequest();
            xhr.http.timeout = 10000;
            xhr.send(url, JSON.stringify(data), 'post', 'json', ["Content-Type", "application/json"]);
        }
    }

}